Skip to content

Update a comment by ID

PUT
/v1/comments/{uuid}
curl --request PUT \
--url https://api.adversarial.com/api/v1/comments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "value": "example" }'
uuid
required
string format: uuid
Media typeapplication/json
object
value
required
string
Examplegenerated
{
"value": "example"
}

Update a comment by ID

Media typeapplication/json
object
created_date
required
string format: date-time
id
required
string format: uuid
updated_date
string | null format: date-time
user
required

A User as returned by the API.

Profile images are not embedded — clients fetch them from GET /api/v1/{icon} when icon is Some.

object
email
required
string
first_name
required
string
icon

Relative path to the user’s avatar endpoint, e.g. "users/{id}/avatar?v={hash}". None when the user has no avatar.

string | null
id
required
string format: uuid
last_name
required
string
value
required
string
Examplegenerated
{
"created_date": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"updated_date": "2026-04-15T12:00:00Z",
"user": {
"email": "example",
"first_name": "example",
"icon": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_name": "example"
},
"value": "example"
}